### Function

# Camel utils_sanitize_ascii_domain_in_address

since: 3.44

#### Declaration [src]

    gchar*
    camel_utils_sanitize_ascii_domain_in_address (
      const gchar* email_address,
      gboolean do_format
    )

#### Description [src]

Checks whether the domain in the `email_address` requires conversion to ASCII and if it does it also converts it. When the `do_format` is `TRUE`, the output string is formatted for display, otherwise it’s encoded for use in the message headers. A `NULL` is returned when no conversion was needed.

Available since: 3.44

#### Parameters

`email_address`

  Type: `const gchar*`

  An email address as string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`do_format`

  Type: `gboolean`

  What format will be returned.

#### Return value

Type: `gchar*`

The `email_address` with only ASCII letters, if such conversion is needed or `NULL`, when no conversion was required.

See: camel_hostname_utils_requires_ascii(), camel_internet_address_sanitize_ascii_domain(), camel_utils_sanitize_ascii_domain_in_url_str().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.